# libSDL_image 1.2.12 repository for CASIO fx-CG 10/20 (a.k.a. PRIZM) and fx-CG 50 (or Graph 90+E)

Need to have a fully working gcc toolchain for SH3/SH4 architecture, such as fxSDK

**Note:** libSDL_image is configured to support PNG, so you need to have :
- a working libPNG, see here : [libPNG for PRIZM](https://gitea.planet-casio.com/Slyvtt/cPNG1_5_30),
- and also requires Zlib available, so the very first step is to get these libraries available and working prior to libPNG. You can get a working Zlib for CASIO fx-CG 10/20 (a.k.a. PRIZM) and fx-CG 50 (or Graph 90+E) here : [libZlib for PRIZM](https://gitea.planet-casio.com/Slyvtt/cZlib1_2_5).
- and a working copy of SDL 1.2 that you can get here : [libSDL for PRIZM](https://gitea.planet-casio.com/Slyvtt/cSDL1_2_15)

## Automatic installation using giteapc

You can also use the `gitea install Slyvtt/cSDL_image1_2_12` command to get an automatic install

when you compile a program for use with libSDL_image, do not forget to add a `-lSDL_image_prizm -lcPNG -lczlib -lSDL_prizm` option in your compilator command line.

and then a `#include <SDL/SDL_image.h>` in your C/C++ sources


## Manual compilation using a Makefile

Compilation is done by using the adhoc Makefile :
`make -f Makefile.prizm` in the main directory

It should produce the library libSDL_image_prizm.a and copy everything in the right place.

The following steps are not automatically done, so please proceed with the following manipulations :
* copy the library `libSDL_image_prizm.a` into your SH3/SH4 compiler lib folder
* copy `SDL_image.h` file contained in the SDL/ folder into the include/SDL folder of the SH3/SH4 compiler
